Name:		csmash
Summary:	A 3D table tennis game
Version:	0.6.6
Release:	%mkrel 30
Source0:	https://downloads.sourceforge.net/cannonsmash/%{name}-%{version}.tar.gz
Source11:	%{name}.16.png
Source12:	%{name}.32.png
Source13:	%{name}.48.png
Patch0:		csmash-0.6.6-64bit-fixes.patch
Patch1:		csmash-0.6.6-gcc4.patch
Patch2:		csmash-0.6.6-extraqualif.patch
Patch3:		csmash-0.6.6-cflags.patch
Patch4:		csmash-0.6.6-format.patch
Patch5:		csmash-autoconf.patch
URL:		https://CannonSmash.sourceforge.net/
License:	GPLv2
Group:		Games/Sports
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(xmu)
BuildRequires:	pkgconfig(xt)
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	pkgconfig(SDL_image)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	gtk+2-devel
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	texinfo
BuildRequires:	pkgconfig(zlib)
BuildRequires:	gettext
BuildRequires:	bison

%description
CannonSmash is a 3D tabletennis game. The goal of this project is to represent
various strategies of tabletennis on computer game.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
%configure
%make_build

%install
%makeinstall
rm -rf %{buildroot}%{_datadir}/%{name}/win32

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=CannonSmash
Comment=A 3D table tennis game
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;SportsGame;
EOF

install -m644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE11} -D %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

mkdir %{buildroot}%{_gamesbindir}
mv %{buildroot}%{_bindir}/%{name} %{buildroot}%{_gamesbindir}
rm -fr %{buildroot}%{_bindir}

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README README.en
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.6.6-30.mga10
+ Revision: 2216274
- Mageia 10 Mass Rebuild

* Tue Nov 08 2022 danf <danf> 0.6.6-29.mga9
+ Revision: 1904592
- Switch to .gz file, which is still available from upstream
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Tue Nov 03 2020 wally <wally> 0.6.6-28.mga8
+ Revision: 1642468
- fix build with autoconf 2.69d

* Wed Feb 12 2020 umeabot <umeabot> 0.6.6-27.mga8
+ Revision: 1511676
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.6.6-26.mga7
+ Revision: 1297339
- Mageia 7 Mass Rebuild

* Tue Sep 12 2017 cjw <cjw> 0.6.6-25.mga7
+ Revision: 1153112
- fix debug packages

* Thu Feb 04 2016 umeabot <umeabot> 0.6.6-24.mga6
+ Revision: 934219
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.6.6-23.mga5
+ Revision: 739359
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.6-22.mga5
+ Revision: 678603
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.6.6-21.mga4
+ Revision: 503604
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.6.6-20.mga3
+ Revision: 348363
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 12 2012 dams <dams> 0.6.6-19.mga3
+ Revision: 260059
- fix configure option

* Sun Jun 10 2012 dams <dams> 0.6.6-18.mga3
+ Revision: 259203
- fix path for binary
- clean specfile
- update specfile to use 'gamesbindir' and 'gamesdatadir'

* Wed Sep 14 2011 fwang <fwang> 0.6.6-18.mga2
+ Revision: 143363
- bunzip the patches

* Mon May 09 2011 ahmad <ahmad> 0.6.6-18.mga1
+ Revision: 96654
- Drop BR esound-devel, phasing out esound from the distro

* Sun Mar 13 2011 stormi <stormi> 0.6.6-17.mga1
+ Revision: 70692
- clean spec
- fix license
- imported package csmash


* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 0.6.6-16mdv2011.0
+ Revision: 603861
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0.6.6-15mdv2010.1
+ Revision: 522421
- rebuilt for 2010.1

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 0.6.6-14mdv2010.0
+ Revision: 413278
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.6.6-13mdv2009.1
+ Revision: 350753
- rebuild

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 0.6.6-12mdv2009.0
+ Revision: 218439
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.6.6-12mdv2008.1
+ Revision: 178719
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Sat Aug 25 2007 Funda Wang <fwang@mandriva.org> 0.6.6-11mdv2008.0
+ Revision: 71110
- fix post and postun script

* Thu Aug 23 2007 Funda Wang <fwang@mandriva.org> 0.6.6-10mdv2008.0
+ Revision: 70694
- fix desktop file comment

* Fri Jun 22 2007 Adam Williamson <awilliamson@mandriva.org> 0.6.6-9mdv2008.0
+ Revision: 42628
- trim buildrequires; drop old menu; fd.o icons; drop X-Mandriva menu category; rebuild for 2008
- Import csmash



* Fri Aug 18 2006 Emmanuel Andry <eandry@mandriva.org> 0.6.6-8mdv2007.0
- fix buildrequires
- xdg menu
- lib64xorg trick not to break x86_64 buildrequires
- applied patch from fedora to fix build

* Fri May 12 2006 Stefan van der Eijk <stefan@eijk.nu> 0.6.6-7mdk
- rebuild for sparc

* Sat Jan 07 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.6.6-6mdk
- Rebuild

* Sun Jul 31 2005 Guillaume Bedot <littletux@mandriva.org> 0.6.6-5mdk
- Patch10: allows build with gcc4 (from fedora)
- rebuild
- use mkrel
- removed packager tag

* Wed Aug 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.6-4mdk
- Rebuild with new menu

* Tue Jun 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.6-3mdk
- Rebuild

* Sat Apr 17 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.6.6-2mdk
- fix buildrequires
- don't bzip2 icons in src.rpm
- change summary macro to avoid conflicts if we were to build debug package
- use %%make macro
- spec cosmetics

* Thu Jan 22 2004 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6.6-1mdk
- new version

* Thu Apr 24 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6.5-2mdk
- fix buildrequires thx to stefan's robot

* Tue Jan 21 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6.5-1mdk
- new version

* Mon Dec  2 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.6.4.2-7mdk
- Patch0: 64-bit fixes
- Ship with German and Japanese localizations

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.6.4.2-6mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.6.4.2-5mdk
- Automated rebuild with gcc3.2

* Sun Jul 21 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6.4.2-4mdk
- recompile against new vorbis stuff

* Wed May 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6.4.2-3mdk
- rebuild to link against latest libstdc++

* Mon Apr 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6.4.2-2mdk
- rebuild for new alsa

* Fri Mar 22 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6.4.2-1mdk
- new version

* Fri Feb 01 2002 Stefan van der Eijk <stefan@eijk.nu> 0.6.3-2mdk
- BuildRequires

* Mon Jan 28 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6.3-1mdk
- new version
- create PNG icons

* Fri Sep 28 2001 Stefan van der Eijk <stefan@eijk.nu> 0.6.2-2mdk
- BuildRequires: libogg-devel oggvorbis-devel

* Mon Aug 27 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6.2-1mdk
- new version

* Sun Jul 08 2001 Stefan van der Eijk <stefan@eijk.nu> 0.6.1-3mdk
- BuildRequires:	gtk+-devel
- BuildRequires:	libSDL-devel
- Removed BuildRequires:	XFree86-devel

* Thu Jul  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6.1-2mdk
- rebuild

* Fri May 25 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6.1-1mdk
- version 0.6.1

* Mon May 14 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6.0-1mdk
- version 0.6.0
- new SDL

* Thu Mar 15 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5.2-1mdk
- 0.5.2
- un-dadouize

* Fri Jan 12 2001 David BAUDENS <baudens@mandrakesoft.com> 0.4.6-3mdk
- BuildRequires: Mesa-common-devel

* Fri Nov  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.6-2mdk
- recompile against newest libstdc++

* Thu Sep 21 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.4.6-1mdk
- 0.4.6

* Tue Aug 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.5-1mdk
- 0.4.5

* Thu Aug 24 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.4-1mdk
- first mdk version. thanks to chmou. this game rocks!
